Skip to navigation

Update an application

Send at least one field.

Requires the inventory:write API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

appIdstringRequired
Application UUID.

Request

This endpoint expects an object.
namestringOptional
descriptionstringOptional
typeenum or nullOptional
frameworkstring or nullOptional
domainIdstring or nullOptionalformat: "uuid"
disallowedActionsstring or nullOptional

Response

The updated application.
idstringformat: "uuid"
namestring
typeenum or null
frameworkstring or null
workspaceIdstringformat: "uuid"
domainIdstring or nullformat: "uuid"
domainUrlstring or null
createdAtdatetime
descriptionstring
disallowedActionsstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error